using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Reflection;

namespace Microsoft.SharedSource.SqlServer.MDDE.Extensions
{
    public static class InstanceCreatorFactory
    {
        public static TemplateInstanceCreator GetInstaceCreator(
            string templateName)
        {
            TemplateInstanceCreator creator = null;

            // Create the instance.
            try
            {
                switch (templateName)
                {
                    case "MSOIndividual_New":
                        creator = new InstanceCreatorMSOIndividual_New();
                        break;
                }

                return creator;
            }
            catch
            {
                return null;
            }
        }
    }
}
