﻿CREATE PROCEDURE [dbo].[sp_CreateTemplateInstanceComponent] 
    @componentClassId		nvarchar(128), 
	@componentName			nvarchar(256), 
	@templateInstanceId		int, 
	@componentUri			nvarchar(2048),
	@componentType			nvarchar(64)
AS 
BEGIN
	INSERT INTO TemplateInstanceComponents
	(ComponentClassId, ComponentName, TemplateInstanceId, ComponentUri,
	ComponentType)
	VALUES (
		@componentClassId, 
		@componentName, 
		@templateInstanceId, 
		@componentUri,
		@componentType);

	SELECT SCOPE_IDENTITY();
END


