using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SharedSource.SqlServer.MDDE.Repository;

namespace Microsoft.SharedSource.SqlServer.MDDE.Middleware
{
    public struct OperationResult
    {
        public static OperationResult Empty
        {
            get
            {
                OperationResult opr;
                opr.SuccessStatus = false;
                opr.OperationLog = new List<string>();
                opr.OperationOutputParameters = new List<object>();
                return opr;
            }
        }

        // TODO: Overload the == operator.

        public bool SuccessStatus;
        public List<string> OperationLog;
        public List<object> OperationOutputParameters;
    }
}
